EXPRTOCHAR(3)

NAME
exprToChar - converts an expression into a string

SYNOPSYS
#include "logmmm.h"
char *exprToChar(expr,mode)
chain_list *expr;
int mode;

PARAMETERS

expr
    Expression to convert.

mode
    Infixed or prefixed.

DESCRIPTION
exprToChar() converts expr into a string. if mode = 0, the function is in a prefixed notation mode, if mode = 1 then in infixed notation mode.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr;
expr = createExpr(OR);
addQExpr(expr,createAtom("a"));
addQExpr(expr,createAtom("b"));
printf("%s",exprToChar(expr,1));
printf("%s",exprToChar(expr,0));
/* it will display
(a OR b)
(OR a b)
*/
freeExpr(expr);

SEE ALSO
log(1), abl(1), charToExpr(3), displayExpr(3), displayInfExpr(3), charToOper(3), operToChar(3), identExpr(3).